# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/


Name:    nagios-plugins-check_redis
Version: 0.73
Release: 8.ndias%{?dist}
Summary: Nagios plugin to check a Redis Server

License: GPLv2+
URL:     https://github.com/willixix/WL-NagiosPlugins
Source0: https://github.com/willixix/WL-NagiosPlugins/blob/master/check_redis.pl
BuildArch: noarch

Requires: nagios-common, perl-Time-HiRes, perl-Redis

%description
This is Redis Server Check plugin. It gets stats variables and allows to set
thresholds on their value or their rate of change. It can measure response
time, hitrate, memory utilization, check replication sync and more. It can also
test data in a specified key (if necessary doing average or sum on range).

%prep


%build


%install
install -p -m 0755 -D %{SOURCE0} %{buildroot}/%{_libdir}/nagios/plugins/check_redis.pl


%files
%doc
%license

%defattr(755,root,root,-)
%{_libdir}/nagios/plugins/check_redis.pl

%changelog
* Tue Nov 12 2024 Nuno Dias <Nuno.Dias@gmail.com> - 0.73-8.ndias
- Change to noarch and other small changes

* Fri Nov 8 2024 Nuno Dias <Nuno.Dias@gmail.com> - 0.73-1.ndias
- Version 0.73

